> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Pesquisar domínios

> Verifica a disponibilidade pública de domínios para um workspace.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.pt-br.json GET /v1/public/accounts/{account_id}/domains/search
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/domains/search:
    get:
      tags:
        - public-accounts
        - public-domains
      summary: Pesquisar domínios
      description: Verifica a disponibilidade pública de domínios para um workspace.
      operationId: search_public_domains_v1_public_accounts__account_id__domains_search_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: workspace_id
          required: true
          schema:
            format: uuid
            title: Workspace Id
            type: string
        - in: query
          name: domains
          required: true
          schema:
            items:
              type: string
            title: Domains
            type: array
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/DomainPriceResponse'
                title: >-
                  Response Search Public Domains V1 Public Accounts  Account Id 
                  Domains Search Get
                type: array
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erro de validação
      security:
        - PublicBearerAuth: []
components:
  schemas:
    DomainPriceResponse:
      properties:
        alternatives:
          items:
            $ref: '#/components/schemas/DomainAlternativeResponse'
          title: alternativas
          type: array
        available:
          title: Disponível
          type: boolean
        currency:
          default: USD
          title: Moeda
          type: string
        domain:
          title: Domínio
          type: string
        is_premium:
          default: false
          title: é premium
          type: boolean
        is_suggestion:
          default: false
          title: É sugestão
          type: boolean
        price:
          title: Preço
          type: string
        unavailable_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: indisponível motivo
      required:
        - domain
        - available
        - price
      title: DomainPriceResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detalhe
          type: array
      title: HTTPValidationError
      type: object
    DomainAlternativeResponse:
      description: Informações de disponibilidade e preço de domínios alternativos.
      properties:
        available:
          default: true
          title: disponível
          type: boolean
        currency:
          default: USD
          title: moeda
          type: string
        domain:
          title: domínio
          type: string
        is_premium:
          default: false
          title: é premium
          type: boolean
        is_suggestion:
          default: true
          title: é sugestão
          type: boolean
        price:
          title: preço
          type: string
      required:
        - domain
        - price
      title: DomainAlternativeResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Localização
          type: array
        msg:
          title: Mensagem
          type: string
        type:
          title: Tipo de erro
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````